//--------------------------------------------------------------------
//
// Copyright Candle Corporation 2001-2003
//
// This code is the confidential and proprietary property of Candle
// Corporation that is licensed for your internal company use only
// and is not to be reproduced, used, licensed, sold or disclosed
// outside of your corporation except upon written authorization of
// Candle Corporation. The code can be used for internal development,
// test and production applications.  Any unauthorized use,
// duplication, or disclosure is unlawful. You may not sell or license
// this code in any commercial products.
//
// Permission is granted to you to alter the code for your internal
// use only, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
//    not claim that you wrote the code.  If you use this code in
//    conjunction with other code, an acknowledgement is required.
//
// 2. Altered versions of this code must be plainly marked as such,
//    and must not be misrepresented as being the original code.
//
// 3. This notice may not be removed or altered from any source
//    distribution.
//
// This code is provided with RESTRICTED RIGHTS.  Use, duplication or
// disclosure by the Government is subject to restrictions set forth
// in the applicable license agreement and/or Government Data Rights
// Clauses(s), as applicable (including but not limited to DFARS
// 252.227-7013(c)(ii) and FAR 52.227-19(a)(d).  Unpublished-All
// rights reserved under United States Copyright Laws.  Manufacturer
// is Candle Corporation, 100 N. Sepulveda Boulevard, El Segundo, CA 90245.
//
//--------------------------------------------------------------------
// $Id: kxcodefs.hpp,v 1.3 2003/02/21 22:48:03 emueh Exp $
// $Source: /romacvs/root/roma/src/kxc/omodel/cpp/kxcodefs.hpp,v $
// $Revision: 1.3 $
//--------------------------------------------------------------------
// Common string definitions.
//--------------------------------------------------------------------

#ifndef __KXCODEFS_HPP__
#define __KXCODEFS_HPP__


#define KXCOM_NULL_POINTER \
    << "Got null pointer."

#define KXCOM_EMPTY_STRING \
    << "Got an empty string."

#define KXCOM_EXTRACT_FAILED(s) \
	<< "Failed to extract " << s

#define KXCOM_DIRATTR_EXTRACT_FAILED(i) \
	KXCOM_EXTRACT_FAILED("an attribute from the buffer by index " << i)

#define KXCOM_MEMALLOC_FAILED(c) \
    << "Failed to allocate " << c << " bytes of memory."

#define KXCOM_NEW_FAILED \
    << "Failed to allocate object on the heap."

#define KXCOM_ILSDATA_FAILED \
    << "Failed to get ILS data."

#define KXCOM_NOT_DIRTY \
    << "The item is not dirty."

#define KXCOM_NO_CONTEXT \
    << "No context."

#define KXCOM_NO_MATCHES \
    << "No matches."

#define KXCOM_NO_ERROR \
    << "No error."

#define KXCOM_NO_ITEMS \
    << "No items."

#define KXCOM_NO_ATTRS \
    << "No attributes."

#define KXCOM_ZERO_LENGTH \
    << "Length is 0."

#define KXCOM_INVALID_LENGTH(v) \
    << "Length is invalid: " << v


#endif // __KXCODEFS_HPP__

